error in compile houdini engine for unreal (in ubuntu)

   158   0   0
User Avatar
Member
13 posts
Joined:
Offline
hello again

after i install houdini 18.5.563 i installed and compile the plug in in unreal 4.26 but it gave me this error


[3/22] Compile PCH.HoudiniEngineEditor.h
[2/22] Compile PCH.HoudiniEngineRuntime.h
[1/22] Compile PCH.HoudiniEngine.h
[4/22] Compile Module.HoudiniEngineRuntime.gen.4_of_4.cpp
[5/22] Compile Module.HoudiniEngineRuntime.gen.3_of_4.cpp
[6/22] Compile Module.HoudiniEngineRuntime.gen.2_of_4.cpp
[7/22] Compile Module.HoudiniEngineRuntime.gen.1_of_4.cpp
[8/22] Compile Module.HoudiniEngineRuntime.cpp
[9/22] Compile Module.HoudiniEngine.1_of_5.cpp
[10/22] Compile Module.HoudiniEngine.2_of_5.cpp
[11/22] Compile Module.HoudiniEngine.3_of_5.cpp
[12/22] Compile Module.HoudiniEngine.5_of_5.cpp
[13/22] Compile Module.HoudiniEngine.gen.cpp
[14/22] Compile Module.HoudiniEngine.4_of_5.cpp
[15/22] Compile Module.HoudiniEngineEditor.gen.cpp
[16/22] Compile Module.HoudiniEngineEditor.2_of_3.cpp
[17/22] Compile Module.HoudiniEngineEditor.3_of_3.cpp
[18/22] Compile Module.HoudiniEngineEditor.1_of_3.cpp
In file included from /home/habernir/UnrealEngine-4.25.4-release/Engine/Plugins/Runtime/HoudiniEngine/Intermediate/Build/Linux/B4D820EA/UE4Editor/Development/HoudiniEngine/Module.HoudiniEngine.1_of_5.cpp:12:
/home/habernir/UnrealEngine-4.25.4-release/Engine/Plugins/Runtime/HoudiniEngine/Source/HoudiniEngine/Private/HoudiniEngineUtils.cpp:4635:5: error: cannot initialize a parameter of type 'const HAPI_Int64 *' (aka 'const long *') with an rvalue of type 'const TArray<long long, TSizedDefaultAllocator<32> >::ElementType *' (aka 'const long long *')
InPropertyAttribute.IntValues.GetData(), 0, AttributeInfo.count))
^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
1 error generated.
[19/22] Link (lld) libUE4Editor-HoudiniEngineRuntime.so
make: *** [Makefile:928: UE4Editor] Error 6
  • Quick Links